/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief   .
 */

#include "fkchdimgprj.h"

/*!
 * \ingroup fkchdimg_fun_reader
 * \brief   .
 * \param context [in]  . 
 * \param info [in/out]  #TReaderInfoFolderClose
 * \sa TReaderInfoFolderClose, READER_FUN_FOLDER_CLOSE, 
 *  TSupSysFunction, fkchdimg_folder_open, #rdr_folder_open, #rdr_folder_close
 */
TSupErr fkchdimg_folder_close( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TFKCHDImgContext *ctx = (TFKCHDImgContext*)context;

    SUPSYS_PRE_CONTEXT( context, TFKCHDImgContext );
    SUPSYS_PRE_INFO( info, TReaderInfoFolderClose );

    FKCReleaseTContainer( &ctx->cont);
    if( ctx->folder )
    {
	free( ctx->folder );
	ctx->folder = NULL;
    }
    if( ctx->names.FriendlyName )
    {
	free( ctx->names.FriendlyName );
	ctx->names.FriendlyName = NULL;
    }
    close_lock(ctx);
    return SUP_ERR_NO;
}
/* end of file: $Id: fkchdimgdcl.c 126987 2015-09-08 13:51:58Z pav $ */
