/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief    .
 */

#include "fkchdimgprj.h"

static int valid_name(TSupFileType type)
{
    return type == SUP_FTYPE_DIR;
}

/*! 
 * \ingroup fkchdimg_fun_reader
 * \brief    .
 *
 *    .
 * \param context [in]  .  .
 * \param info [in/out]  #TReaderInfoFolderEnumNext
 * \sa #TReaderInfoFolderEnumNext, #READER_FUN_FOLDER_ENUM_NEXT,
 *  #TSupSysFunction, #fkchdimg_info_folder_enum_open, 
 *  #fkchdimg_info_folder_enum_close,
 * \return  
 */
TSupErr fkchdimg_info_folder_enum_next(
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TReaderInfoFolderEnumNext *inf = (TReaderInfoFolderEnumNext*)info;
    TSupFileEnum *f;
    TSupFileType type;
    TSupErr code;

    SUPSYS_PRE_INFO( info, TReaderInfoFolderEnumNext );
    SUPSYS_PRE_STRING_PTRS( inf->name.text, inf->name.length );
    UNUSED( context );

    inf->size_of = sizeof( TReaderInfoFolderEnumNext );
    f = (TSupFileEnum*)inf->add_info.info;
    code = support_nextent( f, inf->name.text, &type );
    while( !code && !valid_name(type) )
	code = support_nextent( f, inf->name.text, &type );
    if( code )
	return RDR_ERR_FILE_NOT_FOUND;
    inf->name.length = _tcslen( inf->name.text );
    return SUP_ERR_NO;
}
