/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief    
 */

#include "fkchdimgprj.h"

TSupErr fkchdimg_friendly_name_set ( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TCHAR * path = NULL;
    TSupSysInfoText * newname = (TSupSysInfoText*)info;
    TFKCHDImgContext * ctx = (TFKCHDImgContext*)context;
    TSupErr err;

    SUPSYS_PRE_CONTEXT( context, TFKCHDImgContext );
    //SUPSYS_PRE_INFO( info, TSupSysInfoText );

    err = init_read(ctx);
    if (err) return err;

    if( !ctx->auth ) {
	return RDR_ERR_FKC_NEED_CONT_AUTH;
    }

    if (newname->text[newname->length]!=_TEXT('\0'))
	return SUP_ERR_PARAM;

    path = (TCHAR*)malloc((newname->length+1)*sizeof(TCHAR));
    if( path == NULL )
        return SUP_ERR_MEMORY;
    _tcsncpy(path,newname->text,newname->length);
    path[newname->length] = _TEXT('\0');
    if (ctx->names.FriendlyName!=NULL) {
	free(ctx->names.FriendlyName);
    }
    ctx->names.FriendlyName = path;
    ctx->cont.isnew_fofrname = FALSE;

    fkchdimg_infofile_write(ctx);

    return SUP_ERR_NO;
}
/* end of file: $Id: fkchdimgsetfn.c 126987 2015-09-08 13:51:58Z pav $ */
