/*
 * Copyright(C) 2005-2009
 *
 *    , 
 *   -.
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *     -.
 *
 * This is proprietary information of
 * Crypto-Pro company.
 *
 * Any part of this file can not be copied, 
 * corrected, translated into other languages,
 * localized or modified by any means,
 * compiled, transferred over a network from or to
 * any computer system without preliminary
 * agreement with Crypto-Pro company
 */

/*!
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 *
 * \brief
 *
 */

#ifndef _PSK_GOST_H_
#define _PSK_GOST_H_

/* PSK is generated as 2 parts. i.e. PSK = part1_PSK + part2_PSK */
static const unsigned szCESpskHalf = 14; /* PSK part' length */
static const unsigned L_N = 2;	         /* number of PSK's parts */
#define LENPSK szCESpskHalf*L_N
#define P1_SETPSK_HCRYPT 0x01010000
#endif /* _PSK_GOST_H_ */
