/* vim:set sw=4 ts=8 fileencoding=cp1251:::WINDOWS-1251[] */
#ifndef __IKE_CERT_H__
#define __IKE_CERT_H__
/*
 * Copyright(C) 2005-2013  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 *
 *  ,    , 
 *         
 *   .
 *
 *  -   
 *     .
 */

/*
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 */
extern capi_result
ikeCheckCert(ike_gost_handle h, const BYTE* pbCert, unsigned uCertLen, 
	     PCCERT_CONTEXT *ppCertCtx, time_t *ptNotAfter);

extern capi_result
ikeGetPSKKeyFromContainer(const char * szProvName, const char * szContName, const BYTE * szPIN,
			  HCRYPTKEY *phKey, HCRYPTPROV *phProv );

extern void
ikeReleasePSKKeyFromContainer( HCRYPTKEY hKey, HCRYPTPROV hProv );
#endif
